<div class="container mat-elevation-z1">
  <table [dataSource]="list" mat-table>

    <!-- id Column -->
    <ng-container [sticky]="true" matColumnDef="id">
      <th *matHeaderCellDef mat-header-cell> ID</th>
      <td *matCellDef="let element" mat-cell> {{element.id}} </td>
    </ng-container>

    <!-- avatar Column -->
    <ng-container matColumnDef="avatar">
      <th *matHeaderCellDef mat-header-cell> Avatar URL</th>
      <td *matCellDef="let element" mat-cell> {{element.avatar}} </td>
    </ng-container>

    <tr *matHeaderRowDef="displayedColumns" mat-header-row></tr>
    <tr (click)="click(row.id, row.avatar)"
        *matRowDef="let row; columns: displayedColumns;"
        [className]="row.id === selectedID ? 'highlight' : ''"
        mat-row></tr>
  </table>

</div>
